400
invalid_requestThe request did not satisfy the documented contract.
Beladed Livestream API
Create Clip through the reviewed Beladed Livestream contract.
/api/video/stream/createClipcurl --request POST 'https://api.beladed.dev/api/video/stream/createClip' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Beladed-API-Key: BELADED_SECRET_KEY' \
--data '{
"streamId": "id_demo_001",
"channelId": "id_demo_001",
"startTime": "2024-01-01T00:00:00Z",
"endTime": "2024-01-01T00:05:00Z",
"clipName": "My Clip"
}'const response = await fetch("https://api.beladed.dev/api/video/stream/createClip", {
method: "POST",
headers: {
"Accept": "application/json",
"Content-Type": "application/json",
"X-Beladed-API-Key": "BELADED_SECRET_KEY"
},
body: JSON.stringify({
"streamId": "id_demo_001",
"channelId": "id_demo_001",
"startTime": "2024-01-01T00:00:00Z",
"endTime": "2024-01-01T00:05:00Z",
"clipName": "My Clip"
})
});
const data = await response.json();import requests
response = requests.request(
"POST",
"https://api.beladed.dev/api/video/stream/createClip",
headers={"Accept":"application/json","Content-Type":"application/json","X-Beladed-API-Key":"BELADED_SECRET_KEY"},
json={
"streamId": "id_demo_001",
"channelId": "id_demo_001",
"startTime": "2024-01-01T00:00:00Z",
"endTime": "2024-01-01T00:05:00Z",
"clipName": "My Clip"
},
timeout=30,
)
response.raise_for_status()
data = response.json()<?php
$client = curl_init("https://api.beladed.dev/api/video/stream/createClip");
curl_setopt_array($client, [
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => ["Accept: application/json","Content-Type: application/json","X-Beladed-API-Key: BELADED_SECRET_KEY"],
CURLOPT_RETURNTRANSFER => true,
CURLOPT_POSTFIELDS => json_encode({
"streamId": "id_demo_001",
"channelId": "id_demo_001",
"startTime": "2024-01-01T00:00:00Z",
"endTime": "2024-01-01T00:05:00Z",
"clipName": "My Clip"
}),
]);
$response = curl_exec($client);require "net/http"
require "json"
uri = URI("https://api.beladed.dev/api/video/stream/createClip")
request = Net::HTTP::Post.new(uri)
request["Accept"] = "application/json"
request["Content-Type"] = "application/json"
request["X-Beladed-API-Key"] = "BELADED_SECRET_KEY"
request.body = "{\n \"streamId\": \"id_demo_001\",\n \"channelId\": \"id_demo_001\",\n \"startTime\": \"2024-01-01T00:00:00Z\",\n \"endTime\": \"2024-01-01T00:05:00Z\",\n \"clipName\": \"My Clip\"\n}"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(request) }var request = java.net.http.HttpRequest.newBuilder()
.uri(java.net.URI.create("https://api.beladed.dev/api/video/stream/createClip"))
.header("Accept", "application/json")
.header("Content-Type", "application/json")
.header("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("POST", java.net.http.HttpRequest.BodyPublishers.ofString("{\n \"streamId\": \"id_demo_001\",\n \"channelId\": \"id_demo_001\",\n \"startTime\": \"2024-01-01T00:00:00Z\",\n \"endTime\": \"2024-01-01T00:05:00Z\",\n \"clipName\": \"My Clip\"\n}"))
.build();
var response = java.net.http.HttpClient.newHttpClient().send(request, java.net.http.HttpResponse.BodyHandlers.ofString());package main
import (
"bytes"
"net/http"
)
func callBeladed() (*http.Response, error) {
body := []byte("{\n \"streamId\": \"id_demo_001\",\n \"channelId\": \"id_demo_001\",\n \"startTime\": \"2024-01-01T00:00:00Z\",\n \"endTime\": \"2024-01-01T00:05:00Z\",\n \"clipName\": \"My Clip\"\n}")
request, err := http.NewRequest("POST", "https://api.beladed.dev/api/video/stream/createClip", bytes.NewReader(body))
if err != nil { return nil, err }
request.Header.Set("Accept", "application/json")
request.Header.Set("Content-Type", "application/json")
request.Header.Set("X-Beladed-API-Key", "BELADED_SECRET_KEY")
return http.DefaultClient.Do(request)
}using var client = new HttpClient();
using var request = new HttpRequestMessage(new HttpMethod("POST"), "https://api.beladed.dev/api/video/stream/createClip");
request.Headers.TryAddWithoutValidation("Accept", "application/json");
request.Headers.TryAddWithoutValidation("Content-Type", "application/json");
request.Headers.TryAddWithoutValidation("X-Beladed-API-Key", "BELADED_SECRET_KEY");
request.Content = new StringContent("{\n \"streamId\": \"id_demo_001\",\n \"channelId\": \"id_demo_001\",\n \"startTime\": \"2024-01-01T00:00:00Z\",\n \"endTime\": \"2024-01-01T00:05:00Z\",\n \"clipName\": \"My Clip\"\n}", System.Text.Encoding.UTF8, "application/json");
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();var request = URLRequest(url: URL(string: "https://api.beladed.dev/api/video/stream/createClip")!)
request.httpMethod = "POST"
request.setValue("application/json", forHTTPHeaderField: "Accept")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.setValue("BELADED_SECRET_KEY", forHTTPHeaderField: "X-Beladed-API-Key")
request.httpBody = "{\n \"streamId\": \"id_demo_001\",\n \"channelId\": \"id_demo_001\",\n \"startTime\": \"2024-01-01T00:00:00Z\",\n \"endTime\": \"2024-01-01T00:05:00Z\",\n \"clipName\": \"My Clip\"\n}".data(using: .utf8)
let (data, response) = try await URLSession.shared.data(for: request)val request = okhttp3.Request.Builder()
.url("https://api.beladed.dev/api/video/stream/createClip")
.addHeader("Accept", "application/json")
.addHeader("Content-Type", "application/json")
.addHeader("X-Beladed-API-Key", "BELADED_SECRET_KEY")
.method("POST", okhttp3.RequestBody.create(okhttp3.MediaType.get("application/json"), "{\n \"streamId\": \"id_demo_001\",\n \"channelId\": \"id_demo_001\",\n \"startTime\": \"2024-01-01T00:00:00Z\",\n \"endTime\": \"2024-01-01T00:05:00Z\",\n \"clipName\": \"My Clip\"\n}"))
.build()
val response = okhttp3.OkHttpClient().newCall(request).execute()
This operation has no documented parameters.
{
"type": "object",
"properties": {
"streamId": {
"type": "string"
},
"channelId": {
"type": "string"
},
"startTime": {
"type": "string"
},
"endTime": {
"type": "string"
},
"clipName": {
"type": "string"
}
}
}{
"streamId": "id_demo_001",
"channelId": "id_demo_001",
"startTime": "2024-01-01T00:00:00Z",
"endTime": "2024-01-01T00:05:00Z",
"clipName": "My Clip"
}
{
"type": "object",
"properties": {
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"status": {
"type": "string"
}
}
},
"requestId": {
"type": "string"
}
}
}{
"data": {
"id": "id_demo_001",
"status": "available"
},
"requestId": "req_demo_001"
}
invalid_requestThe request did not satisfy the documented contract.
authentication_requiredThe credential is missing or invalid.
not_authorizedThe account, product scope, permission, or origin is not eligible.
not_foundThe requested public or account-owned resource was not found.
rate_limitedRetry after the current product limit resets.
This operation is published from reviewed repository contracts. Source metadata is included for traceability without exposing internal implementation details.